---
title: "A (Mostly) Google-Free Android"
description: "My experience running Android without any Google Services or even a compatibility layer"
author: Amolith
date: 2020-05-18T15:28:02-04:00
draft: false
cover: /assets/pngs/android.png
toc: true
categories:
  - Technology
tags:
  - FLOSS
  - Android
  - Google
  - Mobile
  - 100 Days To Offload
---

Let me put a little disclaimer right here at the beginning: I don't use
my mobile phone how a lot of people do so your mileage will vary. I also
say "Mostly" in the title because it's incredibly difficult to
*completely* remove Google from Android though [some
projects](https://www.replicant.us/) have done a very good job of it.

## My motivation
In short, I value my privacy and Google is about as far from
privacy-friendly as you can get. What information algorithms are capable
of extrapolating given enough data is downright *scary* and **[that is
Google's entire business
model.](https://www.eff.org/deeplinks/2020/03/google-says-it-doesnt-sell-your-data-heres-how-company-shares-monetizes-and)**
In addition, the company itself is [really quite
terrible,](https://www.alphabetworkers.org/resignation-letter/) from
[launching a censored search engine in
China](https://theintercept.com/2018/08/01/google-china-search-engine-censorship/)
and [selling AI tech to the US
military](https://gizmodo.com/google-employees-resign-in-protest-against-pentagon-con-1825729300)
to [mishandling sexual assault
cases](https://gizmodo.com/massive-google-walkout-over-sexual-misconduct-marks-tec-1830157276)
and [forcing people onto Google services with sheer market
dominance.](https://www.cnbc.com/2018/07/10/eu-hits-alphabet-google-with-android-antitrust-fine.html)

I do not like Google and I do not want it on my phone.

## What I'm using
I have the [Redmi Note 5 Pro](https://www.mi.com/in/redmi-note-5-pro/)
and love it. Specifically, one of the things I like is Xiaomi's business
model. It's exactly the same as Google's—data collection and
advertising—but it's incredibly easy to circumvent. Xiaomi not only uses
its [MIUI](https://en.miui.com/) (*me-you-eye*) for user tracking and
profiling but it also displays ads on the lock screen and elsewhere.
Because of all that, they're able to *seriously* drop the price on their
phones and almost sell them at no more than the hardware and
manufacturing cost.

Circumventing the data collection is as easy as flashing your own ROM; I
prefer [AospExtended](https://aospextended.com/) though
[LineageOS](https://lineageos.org/) is a much simpler and "cleaner"
Android experience. Many of the installation guide will tell you to
flash some [Open GApps](https://opengapps.org/) package but I don't.
Others will say to use [microG,](https://microg.org/) which is much
better but I decided to even omit that the last time I flashed my phone.
Thus, I have absolutely no compatibility with Google Services and apps
that break without it, well, break.

I also have the [Mi Band 4](https://www.mi.com/global/mi-smart-band-4)
which does give Xiaomi the ability to collect a plethora of biometric
data as well … if I use their app. Instead, I like
[Gadgetbridge](https://codeberg.org/Freeyourgadget/Gadgetbridge/) from
[F-Droid.](https://f-droid.org/en/packages/nodomain.freeyourgadget.gadgetbridge/)
I do occasionally want proprietary apps such as
[Linguee](https://www.linguee.com/) for English/German translation and I
get those through [Aurora](https://auroraoss.com/) rather than Google
Play.

## What it's like
I mentioned that some apps will break without Google Services, however,
I find that they are solidly in the minority; most proprietary
applications will work perfectly fine without Google Services or microG
though you won't get push notifications. That's really not a big deal
for me because I've been moving to a more minimal mobile experience and
do most things on my desktop anyway. This is closely related to the
disclaimer at the top. I rarely use my phone for anything other than
communication through open source apps and listening to podcasts; I
don't even have an email client installed (but if I did, it would be
[K-9 Mail.](https://k9mail.app/)) In all, it's perfectly useable but
don't expect your banking application to work.[^1]

---

This was posted as part of
[#100DaysToOffload,](https://100daystooffload.com/) an [awesome
idea](https://fosstodon.org/@kev/104053977554016690) from [Kev
Quirk](https://kevq.uk/). If you want to participate, just write
something every day for 100 days and post a link on social media with
the hashtag!

[^1]: Why would you bank on mobile anyway? Mobile platforms are some of
    the most insecure and something that sensitive should be kept far
    away.
