---
title: "Projects"
description: "Projects I'm currently working or have (mostly) finished"
date: 2023-01-17T13:42:01-05:00
draft: false
cover: ./cover.png
type: generic
---

Most of my projects are hosted on [Sourcehut,][sourcehut] but some of my older
projects can also be found on [NixNet's Forgejo instance.][forgejo] I do have a
[Github account,][github] but I don't actually host any projects on it as I
prefer more open platforms.

[sourcehut]: https://sr.ht/~amolith/
[forgejo]: https://git.nixnet.services/
[github]: https://github.com/Amolith

All of these projects were created to [scratch an itch.][sai]

[sai]: https://scratchanitch.dev

## Active projects

These are what I'm currently focusing on.

<details>
    <summary><a href="https://sr.ht/~amolith/earl/">earl</a> (2022-01-01) (Go)</summary>
    <p>
    I take a lot of hand-written notes and wanted a quick way to write down web
    references. I was unsatisfied with all of the current URL shortener
    implementations so I decided to write my own.
    </p>
</details>

## Finished projects

These are projects that I consider ["finished".][finished] I might fix the
occasional bug, but they meet my needs as they are and I will not be adding
major swaths of code to introduce new features.

[finished]: https://gavinhoward.com/2019/11/finishing-software/

<details>
    <summary><a href="https://git.sr.ht/~amolith/p2c/">p2c</a> (2023-04-05) (Go)</summary>
    <p>
    Generates cover images for Hugo sites using the page's frontmatter, the
    site's global config, and file's metadata. It's written in Go and generates
    images using <a href="https://gioui.org">Gio,</a> a cross-platform GUI
    framework. It generates the cover images for most of the pages and posts on
    this site.
    </p>
</details>

<details>
    <summary><a href="https://sr.ht/~amolith/go-webring/">go-webring</a> (2021-12-18) (Go)</summary>
    <p>
    This is generalised software for creating and maintaining old-school <a
    href="https://en.wikipedia.org/wiki/Webring">webrings.</a> It currently
    powers <a href="https://fediring.net">Fediring.net.</a>
    </p>
</details>

## Future projects

Tools I want but that I haven't necessarily had time to start on yet

<details>
    <summary>Alternative <a href="https://bond-touch.com/">Bond Touch</a> client/server</summary>
    <p>
    The official app is just an unusable pile of trash. I want to
    reverse-engineer the bracelet's Bluetooth protocol and implement my own
    client/server. Client functionality will be strictly limited to
    sending/receiving touches and matching touch patterns with user-defined
    messages. Server functionality will be strictly limited to transferring
    touches between devices.
    </p>
</details>

## Abandoned projects

Unfinished tools I don't plan to finish

<details>
    <summary><a href="https://git.sr.ht/~amolith/rarangi">rārangi</a> (2021-10-12) (Go)</summary>
    <p>
    A todo TUI that operates on basic text files. Unfinished items are denoted
    with a - and finished items are denoted with a +. I wanted to try
    <a href="https://github.com/charmbracelet/bubbletea">Bubble Tea</a> but
    decided it was more complicated than I was ready for at the time.
    </p>
</details>
